<?php

namespace plugin\ticket\model;

use think\admin\Model;

class TicketType extends Model
{
    public static function getList()
    {
        return self::mk()->scope('active')->order('sort', 'asc')->field('name, id')->select();
    }
    public function tickets()
    {
        return $this->hasMany(TicketTicket::class, 'type_id');
    }

    public function scopeActive($query)
    {
        return $query->where('status', '=', '1');
    }

}