<?php

namespace plugin\cms\controller\api;

use plugin\cms\model\CmsTutorial;
use think\admin\Controller;

class Tutorial extends Controller
{
    public function index() {
        $query = CmsTutorial::mk()->where('status', 1);
        $articles = $query->order('sort asc,create_at desc')->paginate();
        $this->success('获取文章列表', $articles);
    }

    public function info() {
        $id = $this->request->get('id');
        CmsTutorial::mk()->where('id', $id)->inc('view_count');
        $article = CmsTutorial::mk()->where('id', $id)->find();
        if (empty($article)) {
            $this->error('文章不存在');
        }
        $this->success('获取文章详情', $article);
    }
}