<?php

namespace plugin\points_mall\model;

use think\admin\Model;

class PointsMallOrderCart extends Model
{
    /**
     * 关联产品数据
     * @return \think\model\relation\HasOne
     */
    public function goods()
    {
        return $this->hasOne(PointsMallGoods::class, 'code', 'gcode');
    }

    /**
     * 关联规格数据
     * @return \think\model\relation\HasOne
     */
    public function specs()
    {
        return $this->hasOne(PointsMallGoodsItem::class, 'ghash', 'ghash');
    }
}